[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'Clipbrd' (#lcl)

# TClipboard.Clear

Clears the content in the clipboard.

## Declaration

Source position: clipbrd.pp line 192

`public procedure TClipboard.Clear;`

## Description

No actions are performed in the method if nothing has been stored in the cached clipboard data.

If the internal cache has format identifiers and data, each TClipboardData instance is visited to free the TStream with its content. On completion, the cache is freed and Nil'd and the number of cached clipboard formats is reset to 0 (zero).

## See also

TClipboard.Formats |  | Contains the clipboard formats currently in use for the class instance.
TClipboard.FormatCount |  | Contains the number of clipboard formats supported for the class instance.
TClipboardData |  | Record type with the format identifier and data for cached clipboard content.